## mingw-w64-phonon-qt5-4.12.0-1.src.tar.zst

=== designer/CMakeLists.txt ===
set(phononwidgetsplugin_SRCS
    phononcollection.cpp
    seeksliderplugin.cpp
    videoplayerplugin.cpp
    videoplayertaskmenu.cpp
    videowidgetplugin.cpp
    volumesliderplugin.cpp
)
if(QT_MAJOR_VERSION VERSION_EQUAL 5)
    qt5_add_resources(phononwidgetsplugin_SRCS phononwidgets.qrc)
else()
    qt6_add_resources(phononwidgetsplugin_SRCS phononwidgets.qrc)
endif()

add_library(${PHONON_LIB_SONAME}widgets MODULE ${phononwidgetsplugin_SRCS})

# Technically since 5.9 we should only need uiplugins and not designer,
# in the interest of simplicity we still look for and use the designer
# target though so things definitely build on <5.9

if(Qt5UiPlugin_VERSION)
    target_link_libraries(${PHONON_LIB_SONAME}widgets Qt${QT_MAJOR_VERSION}::UiPlugin)
endif()

target_link_libraries(${PHONON_LIB_SONAME}widgets
    Phonon::${PHONON_LIB_SONAME}
    Qt${QT_MAJOR_VERSION}::Core
    Qt${QT_MAJOR_VERSION}::Gui
    Qt${QT_MAJOR_VERSION}::Widgets
    Qt${QT_MAJOR_VERSION}::Designer
)

install(TARGETS ${PHONON_LIB_SONAME}widgets DESTINATION ${KDE_INSTALL_QTPLUGINDIR}/designer)

=== demos/simpleplayer/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5 FATAL_ERROR)
project(simpleplayer)

set(CMAKE_AUTOMOC TRUE)

find_package(Phonon4Qt5 NO_MODULE) # Not required so it builds within phonon as well

set(simpleplayer_SRCS
    main.cpp
    player.cpp
)

add_executable(simpleplayer ${simpleplayer_SRCS})
target_link_libraries(simpleplayer Phonon::phonon4qt5    Qt5::Core Qt5::Widgets)

=== PKGBUILD ===
# Maintainer (MSYS2): Michael Hansen <zrax0111@gmail.com>

_variant=-${KF5_VARIANT:-shared}
source "$(dirname ${BASH_SOURCE[0]})"/../mingw-w64-PKGBUILD-common/kde-frameworks5
_kde_f5_init_package "${_variant}" "phonon"
pkgver=4.12.0
pkgrel=1
arch=('any')
mingw_arch=('mingw32' 'mingw64' 'ucrt64' 'clang64' 'clang32' 'clangarm64')
msys2_references=(
  'archlinux: phonon'
)
msys2_repository_url="https://invent.kde.org/libraries/phonon/"
pkgdesc="Multimedia framework for KF5 (mingw-w64)"
url="https://community.kde.org/Phonon/"
license=('LGPL')
makedepends=(
  "${MINGW_PACKAGE_PREFIX}-cc"
  "${MINGW_PACKAGE_PREFIX}-cmake"
  "${MINGW_PACKAGE_PREFIX}-extra-cmake-modules"
  "${MINGW_PACKAGE_PREFIX}-ninja"
)
depends=()
if [ "${_variant}" = "-static" ]; then
  _kde_f5_add_depends "${_variant}" "${MINGW_PACKAGE_PREFIX}-qt5${_namesuff}"
else
  makedepends+=("${MINGW_PACKAGE_PREFIX}-qt5-tools")
  depends+=("${MINGW_PACKAGE_PREFIX}-qt5-base")
fi
_kde_f5_add_depends "${_variant}" "${MINGW_PACKAGE_PREFIX}-glib2"
source=("https://download.kde.org/stable/${_basename}/${pkgver}/${_basename}-${pkgver}.tar.xz"{,.sig})
sha256sums=('3287ffe0fbcc2d4aa1363f9e15747302d0b080090fe76e5f211d809ecb43f39a'
            'SKIP')
validpgpkeys=('E0A3EB202F8E57528E13E72FD7574483BB57B18D') # Jonathan Esk-Riddell <jr@jriddell.org>

prepare() {
  mkdir -p build-${MSYSTEM}${_variant}

}

build() {
  cd ${srcdir}/build-${MSYSTEM}${_variant}

  local -a extra_config
  if [ "${_variant}" = "-static" ]; then
    extra_config+=( -DBUILD_SHARED_LIBS=NO )
  fi

  _kde_f5_build_env
  ${MINGW_PREFIX}/bin/cmake \
      -G'Ninja' \
      -DCMAKE_BUILD_TYPE=$(_kde_f5_CMAKE_BUILD_TYPE) \
      "${_kde_f5_KDE_INSTALL_DIRS[@]}" \
      "${extra_config[@]}" \
      -DBUILD_TESTING=OFF \
      -DECM_DIR=${MINGW_PREFIX}/share/ECM \
      -DPHONON_BUILD_QT6=OFF \
      "${extra_config[@]}" \
      ../${_basename}-${pkgver}

  ${MINGW_PREFIX}/bin/cmake --build .
}

package() {
  cd build-${MSYSTEM}${_variant}
  DESTDIR="${pkgdir}" ${MINGW_PREFIX}/bin/cmake --install .
}
